For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETReturns all automations for a project template.
      • POSTCreates a new automation for a given project template.
      • GETReturns a specific automation for a projecttemplate.
      • PUTUpdates the automation with the specified id for a given projecttemplate.
      • DELDeletes the specified automation for a given projecttemplate.
      • GETGets the actions of an automation of a project template.
      • POSTCreates a new action for an automation of a project template.
      • GETGets a specific action for an automation of a projecttemplate.
      • PUTUpdates a specifc action of an automation of a project template.
      • DELDeletes an action for an automation of a project template.
      • POSTUpdates the order of a project template automation action.
      • POSTReapplies the automation to all projects of this specific project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Automations

Returns all automations for a project template.

GET
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/automations
GET
/api/v1/projecttemplates/:projectTemplateId/automations
$curl https://api.awork.com/api/v1/projecttemplates/projectTemplateId/automations \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
5 "createdOn": "2024-01-15T09:30:00Z",
6 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
7 "updatedOn": "2024-01-15T09:30:00Z",
8 "triggerId": "123e4567-e89b-12d3-a456-426614174000",
9 "trigger": {
10 "updatedOn": "2024-01-15T09:30:00Z",
11 "type": "task-created",
12 "values": [
13 {
14 "name": "name",
15 "value": "Design"
16 }
17 ]
18 },
19 "enabled": true,
20 "state": "string",
21 "createdByProjectTemplate": false,
22 "projectId": "123e4567-e89b-12d3-a456-426614174000",
23 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
24 "actions": [
25 {
26 "id": "123e4567-e89b-12d3-a456-426614174000",
27 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
28 "createdOn": "2024-01-15T09:30:00Z",
29 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
30 "updatedOn": "2024-01-15T09:30:00Z",
31 "type": "tag-add-task",
32 "order": 2,
33 "values": [
34 {
35 "name": "tag",
36 "value": "Design"
37 }
38 ]
39 }
40 ],
41 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
42 "createdByAutomationIdFromWorkflow": "123e4567-e89b-12d3-a456-426614174000",
43 "failed": {
44 "code": "not-found",
45 "description": "There is no matching path for this URL.",
46 "link": "https://developers.awork.com",
47 "details": [
48 "No project with the id '123' exists."
49 ],
50 "validationErrors": [
51 {
52 "property": "FirstName",
53 "message": "FirstName is required."
54 }
55 ],
56 "traceId": "a65ce5745df02af216715ff06661fb3a"
57 }
58 }
59]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new automation for a given project template.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Response

OK
idstringformat: "uuid"
The id of the automation.
createdBystringformat: "uuid"
The id of the user who created the automation.
createdOnstringformat: "date-time"
The date the automation was created.
updatedBystringformat: "uuid"
The id of the user who updated the automation.
updatedOnstringformat: "date-time"
The date the automation was updated.
triggerIdstringformat: "uuid"
The id of the trigger which is related to the automation.
triggerobject
enabledbooleanRead-only
Whether the automation is enabled.
statestring or null
The state of the automation. See AutomationsService.DAL.Models.AutomationState for the possible values.
createdByProjectTemplateboolean
Whether the automation was created from an automation template of a project template.
projectIdstring or nullformat: "uuid"
The id of the project which is related to the automation.
projectTemplateIdstring or nullformat: "uuid"
The id of the project template which is related to the automation.
actionslist of objects or null
The actions which is related to the automation.
workflowIdstring or nullformat: "uuid"
The workflow this automation belongs to, if any.
createdByAutomationIdFromWorkflowstring or nullformat: "uuid"
The id of the workflow automation that served as the template for this automation.
failedobject
The API error response.